# Uses of Class
org.apache.felix.http.base.internal.registry.ServletResolution

Packages that use ServletResolution
Package
Description
org.apache.felix.http.base.internal.dispatch
org.apache.felix.http.base.internal.registry

## Uses of ServletResolution in org.apache.felix.http.base.internal.dispatch

Constructors in org.apache.felix.http.base.internal.dispatch with parameters of type ServletResolution
Modifier
Constructor
Description
``
`RequestDispatcherImpl(@NotNull ServletResolution resolution, @NotNull RequestInfo requestInfo)`
Create new dispatcher

## Uses of ServletResolution in org.apache.felix.http.base.internal.registry

Subclasses of ServletResolution in org.apache.felix.http.base.internal.registry
Modifier and Type
Class
Description
`class`
`PathResolution`
Resolution of a servlet based on the path
Methods in org.apache.felix.http.base.internal.registry that return ServletResolution
Modifier and Type
Method
Description
`@Nullable ServletResolution`
HandlerRegistry.`getErrorHandler(@NotNull String requestURI, Long serviceId, int code, Throwable exception)`
`ServletResolution`
HandlerRegistry.`resolveServletByName(long contextId, @NotNull String name)`
Get the servlet handler for a servlet by name
Methods in org.apache.felix.http.base.internal.registry with parameters of type ServletResolution
Modifier and Type
Method
Description
`FilterHandler[]`
HandlerRegistry.`getFilters(@NotNull ServletResolution pr, @NotNull jakarta.servlet.DispatcherType dispatcherType, @NotNull String requestURI)`